# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['csfdock']

package_data = \
{'': ['*']}

install_requires = \
['click>=8.0.1,<9.0.0']

entry_points = \
{'console_scripts': ['csfdock = csfdock.ar2a_v3:main']}

setup_kwargs = {
    'name': 'csfdock',
    'version': '0.1.1',
    'description': 'CsfDock',
    'long_description': 'CsfDock\n=======\n\n|PyPI| |Status| |Python Version| |License|\n\n|Read the Docs| |Tests| |Codecov|\n\n|pre-commit| |Black|\n\n.. |PyPI| image:: https://img.shields.io/pypi/v/csfdock.svg\n   :target: https://pypi.org/project/csfdock/\n   :alt: PyPI\n.. |Status| image:: https://img.shields.io/pypi/status/csfdock.svg\n   :target: https://pypi.org/project/csfdock/\n   :alt: Status\n.. |Python Version| image:: https://img.shields.io/pypi/pyversions/csfdock\n   :target: https://pypi.org/project/csfdock\n   :alt: Python Version\n.. |License| image:: https://img.shields.io/pypi/l/csfdock\n   :target: https://opensource.org/licenses/MIT\n   :alt: License\n.. |Read the Docs| image:: https://img.shields.io/readthedocs/csfdock/latest.svg?label=Read%20the%20Docs\n   :target: https://csfdock.readthedocs.io/\n   :alt: Read the documentation at https://csfdock.readthedocs.io/\n.. |Tests| image:: https://github.com/takshan/csfdock/workflows/Tests/badge.svg\n   :target: https://github.com/takshan/csfdock/actions?workflow=Tests\n   :alt: Tests\n.. |Codecov| image:: https://codecov.io/gh/takshan/csfdock/branch/main/graph/badge.svg?token=B1J6NTBH4P\n   :target: https://codecov.io/gh/takshan/csfdock\n   :alt: Codecov\n.. |pre-commit| image:: https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white\n   :target: https://github.com/pre-commit/pre-commit\n   :alt: pre-commit\n.. |Black| image:: https://img.shields.io/badge/code%20style-black-000000.svg\n   :target: https://github.com/psf/black\n   :alt: Black\n\n\nA simple package for making custome scoring function in smina, visulaization of molecules, ligand and memebrane using py3dmol.\n\nAn implementation of regression for optimizing scoring function and $\\alpha$ and $\\beta$ from experimental data.\n\n\nFeatures\n--------\n\n* Visualize Receptor, lipids and ligands \n* Automate docking using  smina                                \n* Calculate RMSD and plot RMSD Matrix                                 \n* Develop Custom Scoring Functions\n* Optimize $\\alpha$ and $\\beta$\n* and many more..\n\nRequirements\n------------\n\n* TODO\n\n\nInstallation\n------------\n\nYou can install *CsfDock* via pip_ from PyPI_:\n\n.. code:: console\n\n   $ pip install csfdock\n\n\nUsage\n-----\n\n::\n\n    from csfdock.ar2a_v3 import *\n\nCreate an Object of the ProjectStart:\n\n::\n\n    a2 = ProjectStart() \n\nCan set your project directory as follow which may not be same as the\nruning notebook.Creates a relative paths for files inside the project\ndirectory\n\n::\n\n    a2.SetFolders(".") \n\nAdding a receptor into the project is as easy as following:\n\n::\n\n    a2.LoadReceptor("membrane")\n    a2.SimpleView\n\n.. figure:: ./images/csfdock3.png\n   :alt: Image of csfdock\n\n\nSimilarly for Ligand as well\n\n::\n\n    a2.LoadLigand("./DATA/Conformer3D_CID_139199449.sdf") \n\n|Image of csfdock4| \n\nFor docking visualization of grid box around active\nsite is important. Here we can just give an input to create a grid and\nvisualize it.\n\n::\n\n    a2.LoadBox([7.623, 3.103, -18.483], [30.0, 50, 20]) \n\nWhole view of the molecules loaded into the project instance can be\nvisualize as following:\n\n::\n\n    a2.ShowMolecules() \n\n|Image of csfdock2| \n\nView the detail information of the project instace\nusing print() method on the instance variable.\n\n::\n\n    print(a2)\n\n|Image of csfdock0|\n\n::\n\n    a2.display()\n\nVisualize smiles code and generate 3D structures.\n\n|Image of csfdock6|\n\n::\n\n    df =rmsd_matrix(poses,verbose=False, plot=True, save=True, annot=True, key="latest_calculation")\n\n\nView the RMSDs of the ligands docked in matrix view.\n\n|Image of csfdock5|\n\n\n.. |Image of csfdock4| image:: ./images/csfdock4.png\n.. |Image of csfdock2| image:: ./images/csfdock2.png\n.. |Image of csfdock0| image:: ./images/csfdock0.png\n.. |Image of csfdock5| image:: ./images/csfdock5.png\n.. |Image of csfdock6| image:: ./images/csfdock6.png\n\nPlease see the `Command-line Reference <Usage_>`_ for details.\n\n\nContributing\n------------\n\nContributions are very welcome.\nTo learn more, see the `Contributor Guide`_.\n\n\nLicense\n-------\n\nDistributed under the terms of the `MIT license`_,\n*CsfDock* is free and open source software.\n\n\nIssues\n------\n\nIf you encounter any problems,\nplease `file an issue`_ along with a detailed description.\n\n\n.. _Cookiecutter: https://github.com/audreyr/cookiecutter\n.. _MIT license: https://opensource.org/licenses/MIT\n.. _PyPI: https://pypi.org/\n.. _file an issue: https://github.com/takshan/csfdock/issues\n.. _pip: https://pip.pypa.io/\n.. github-only\n.. _Contributor Guide: CONTRIBUTING.rst\n.. _Usage: https://csfdock.readthedocs.io/en/latest/usage.html\n',
    'author': 'Rahul Brahma',
    'author_email': 'mrbrahma.rahul@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/takshan/csfdock',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6.1,<4.0.0',
}


setup(**setup_kwargs)
